https://testnet.api.bestinslot.xyz / https://signet_api.bestinslot.xyz
BTC Testnet4 Faucet (only on testnet)
Included in: Basic, Pro, DedicatedGET https://testnet.api.bestinslot.xyz/v3/wallet/testnet_faucet
A testnet BTC faucet that mints 0.01 tBTC to target address.
NOTE: Limited with 10 request per 24 hours per key.
Sample query: https://testnet.api.bestinslot.xyz/v3/wallet/testnet_faucet?address=tb1p9ts4eu2s4adgjwumdmcu9qfw0hcavrh8m54tyrd39lkk7h4940yq2dmvzx
Query Parameters
Response
- 200: OK Success
Get Wallet Inscriptions
Included in: Basic, Pro, DedicatedGET https://api.bestinslot.xyz/v3/wallet/inscriptions
Returns ordered list of inscriptions of a wallet.
Sample query: https://api.bestinslot.xyz/v3/wallet/inscriptions?address=bc1p9ckplx7pesuh396he7nk0qzxrhyewd2ytrz9s2444dkl2c8gerdsrq7xjd&sort_by=inscr_num&order=desc&offset=0&count=2000&exclude_brc20=true&cursed_only=true
last_sale_price is only available on Pro Tier.
Query Parameters
- 200: OK Success
Get Batch Wallet Inscriptions
Included in: Pro, DedicatedPOST https://api.bestinslot.xyz/v3/wallet/inscriptions_batch
Returns ordered list of inscriptions of given wallets (up to 100 wallet).
Sample query: url: https://api.bestinslot.xyz/v3/wallet/inscriptions_batch\ data: {“addresses”:[“bc1pfxhh3yh5pp4s8pf6wjthe5dwsl6nva04n8zdsw4wsnq76kpy2fsqxgse5d”,“bc1psrvymaz9gx4ljw0x4lpsscrsh2xy8u4yx0ru9z8spdjsgp99qchsaawzw4”,“bc1pqvkxuvy6cquv0x9kggy0c3skavmwh2arr22xghxae6pqwq4jk4gqw6dpu9”],“offset”:0,“count”:2000,“sort_by”:“inscr_num”,“order”:“desc”}
headers: { “Content-Type”:“application/json”, “x-api-key”:”…” }
Query Parameters
- 200: OK Success
Get Wallet Collections
Included in: Basic, Pro, DedicatedGET https://api.bestinslot.xyz/v3/wallet/collections
Returns ordered list of collections of a wallet.
Sample query: https://api.bestinslot.xyz/v3/wallet/collections?address=bc1pp5xk5dxklrfxk4yzdkel09yeqqczk5s3425zg9fj6p8qpm8axdes94yhu7&sort_by=inscription_count&order=desc
last_sale_price is only available on Pro Tier.
Query Parameters
- 200: OK Success
Get Wallet Verified Sats
Included in: Basic, Pro, DedicatedGET https://api.bestinslot.xyz/v3/wallet/sats_names
Returns list of verified sats names of a wallet.
Sample query: https://api.bestinslot.xyz/v3/wallet/sats_names?address=bc1p4wj6n9c80zvrjwq3lke2n8esuv8rzw6ch0jlqfrlpanlyn3ftx2s6dgwec
Query Parameters
- 200: OK Success
Get Wallet Listings
Included in: Pro, DedicatedGET https://api.bestinslot.xyz/v3/wallet/listings
Returns ordered list of listings of a bitcoin wallet.
Sample query: https://api.bestinslot.xyz/v3/wallet/listings?address=bc1par0t76nmjf55wp0rpzu58p97mzz6tf3cd67js077a2qx5ez8knlqfnccjq&sort_by=min_price&order=asc&offset=0&count=100
Query Parameters
- 200: OK Success
Get Wallet Activity (Inscriptions Only)
Included in: Pro, DedicatedGET https://api.bestinslot.xyz/v3/wallet/activity
Returns ordered list of inscribes, sales and transfers of a bitcoin wallet.
Sample query: https://api.bestinslot.xyz/v3/wallet/activity?address=bc1par0t76nmjf55wp0rpzu58p97mzz6tf3cd67js077a2qx5ez8knlqfnccjq&activity_filter=7&sort_by=ts&order=desc&offset=0&count=100
Query Parameters
- 200: OK Success
Get Wallet Global Activity (Inscriptions, BRC20 and Runes)
Included in: DedicatedGET https://api.bestinslot.xyz/v3/wallet/global_activity
Returns ordered list of inscription, brc20 and runes activities of bitcoin wallet.This endpoint is the combined view of:
/v3/wallet/activity, /v3/brc20/wallet_activity and /v3/runes/wallet_activity
Response will have mixed structures since different protocols require different fields.
/v3/runes/wallet_activity endpoint details.
Since a single runes transaction can have a lot of runes events, if the last runes event does not fit into count, the endpoint will return all events in the tx anyway. So, the response may have more elements than count.
Sample query: https://api.bestinslot.xyz/v3/wallet/global_activity?address=bc1pg7j3rwqnjfsrj66gcgtfx99c6l3vnrs9v7arx3kpjmh9ukmv47wq0jdgg0&sort_by=ts&order=desc&count=500&cursor=384298391__14396391
Query Parameters
- 200: OK Success
Get Wallet Metadata
Included in: Basic, Pro, DedicatedGET https://api.bestinslot.xyz/v3/wallet/metadata
Returns inscription_count, nonbrc20_inscription_count and last_transfer_block_height for a given wallet address.
Sample query: https://api.bestinslot.xyz/v3/wallet/metadata?address=bc1p4wj6n9c80zvrjwq3lke2n8esuv8rzw6ch0jlqfrlpanlyn3ftx2s6dgwec
Query Parameters
- 200: OK Success